#### D.3.1.25 linear_relations

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  linear_relations(M);
  M: a module

Assume:
  All non-zero entries of M are homogeneous polynomials of the same positive degree. The base field must be an exact field (not real or complex).
  It is not checked whether these assumptions hold.

Return:
  a maximal module R such that M*R is formed by zero vectors.

Example:

    LIB "matrix.lib";
    ring r = (3,w), (a,b,c,d),dp;
    minpoly = w2-w-1;
    module M = [a2,b2],[wab,w2c2+2b2],[(w-2)*a2+wab,wb2+w2c2];
    module REL = linear_relations(M);
    pmat(REL);
    ==> (-w-1),
    ==> -1,
    ==> 1
    pmat(M*REL);
    ==> 0,
    ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.